package cn.com.infosec.crypto.params;

import java.math.BigInteger;

public class ElGamalPublicKeyParameters extends ElGamalKeyParameters {
   private BigInteger y;

   public ElGamalPublicKeyParameters(BigInteger y, ElGamalParameters params) {
      super(false, params);
      this.y = y;
   }

   public BigInteger getY() {
      return this.y;
   }

   public int hashCode() {
      return this.y.hashCode() ^ super.hashCode();
   }

   public boolean equals(Object obj) {
      if (!(obj instanceof ElGamalPublicKeyParameters)) {
         return false;
      } else {
         return ((ElGamalPublicKeyParameters)obj).getY().equals(this.y) && super.equals(obj);
      }
   }
}
